<div class="view-container ${view.getViewType()?lower_case} ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
    <app-studioaction :viewTitle="$t(model.srfCaption)" viewName="${view.getCodeName()?lower_case}"></app-studioaction>
    <card class='view-card<#if !view.isShowCaptionBar()> view-no-caption</#if> <#if !view.hasPSControl('toolbar')> view-no-toolbar</#if>' :disHover="true" :padding="0" :bordered="false">

    <#ibizinclude>
    ../@MACRO/VIEW_CAPTION.vue.ftl
    </#ibizinclude>

<#if view.hasPSControl('toolbar')>
<#assign toolbarCtrl = view.getPSControl('toolbar')>
<@ibizindent blank=8>
${P.getCtrlCode(toolbarCtrl, 'CONTROL.html').code}
</@ibizindent>
</#if>
<#--  BEGIN：视图顶部视图消息  -->
<@ibizindent blank=12>
<#ibizinclude>
../@MACRO/View_Pos_Top_Msgs.vue.ftl
</#ibizinclude>
</@ibizindent>
<#--  END：视图顶部视图消息  -->
        <div class="content-container">
<#--  BEGIN：视图内容区视图消息  -->
<@ibizindent blank=8>
<#ibizinclude>
../@MACRO/View_Pos_Body_Msgs.vue.ftl
</#ibizinclude>
</@ibizindent>
<#--  END：视图内容区视图消息  -->
<#if view.getAllPSControls()??>
<#list view.getAllPSControls() as ctrl>
<#if ctrl.getControlType() != "TOOLBAR">
<#if P.getCtrlCode(ctrl, 'CONTROL.html')??>
<@ibizindent blank=12>
${P.getCtrlCode(ctrl, 'CONTROL.html').code}
</@ibizindent>
</#if>
</#if>
</#list>
</#if>
            <div v-if="iframeUrl.length > 0" class="iframe-container">
                <iframe :src="iframeUrl"></iframe>
            </div>
            <div v-else >
                <div class="app-error-view">
                    <div class="app-error-container">
                        <img src="/assets/img/404.png" />
                        <div class="error-text">
                            <div class="error-text1">{{$t('components.404.errorText1')}}</div>
                            <div class="error-text2">{{$t('components.404.errorText2')}}</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
<#--  BEGIN：视图底部视图消息  -->
<@ibizindent blank=12>
<#ibizinclude>
../@MACRO/View_Pos_Bottom_Msgs.vue.ftl
</#ibizinclude>
</@ibizindent>
<#--  END：视图底部视图消息  -->
    </card>
</div>