<div class='view-container ${view.getViewType()?lower_case} ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>'>
    <app-studioaction :viewTitle="$t(model.srfCaption)" viewName="${view.getCodeName()?lower_case}"></app-studioaction>
    <card class='view-card<#if !view.isShowCaptionBar()> view-no-caption</#if> <#if !view.hasPSControl('toolbar')> view-no-toolbar</#if>'  :dis-hover="true" :bordered="false">
    <#ibizinclude>
    ../@MACRO/VIEW_CAPTION_DATAINFO.vue.ftl
    </#ibizinclude>

    <div class="toolbars-container" style=''>
<#if view.hasPSControl('tabexppanel')>
  <#assign tabexppanel = view.getPSControl('tabexppanel') />
      <el-radio-group v-model="tabValue" class="tab-panel-group">
  <#if tabexppanel.getPSControls?? && tabexppanel.getPSControls()??>
    <#list tabexppanel.getPSControls() as tabviewpanel>
        <el-radio-button label="${tabviewpanel.name}">
          <tooltip :transfer="true" :max-width="600">
      <#if tabviewpanel.getPSSysImage()??>
        <#assign sysimage = tabviewpanel.getPSSysImage()/>
        <#if sysimage.getImagePath() ==  "">
            <i class='${sysimage.getCssClass()}'></i>
        <#else>
            <img src='${sysimage.getImagePath()}'>
        </#if>
      <#else>
            <i class='fa fa-th-large'></i>
      </#if>
            <div slot='content'>${tabviewpanel.getCaption()}</div>
          </tooltip>
        </el-radio-button>
    </#list>
  </#if>
      </el-radio-group>
</#if>
    </div>
<#--  BEGIN：视图顶部视图消息  -->
<@ibizindent blank=8>
<#ibizinclude>
../@MACRO/View_Pos_Top_Msgs.vue.ftl
</#ibizinclude>
</@ibizindent>
<#--  END：视图顶部视图消息  -->
    <div class='content-container'>
<#--  BEGIN：视图内容区视图消息  -->
<@ibizindent blank=8>
<#ibizinclude>
../@MACRO/View_Pos_Body_Msgs.vue.ftl
</#ibizinclude>
</@ibizindent>
<#--  END：视图内容区视图消息  -->
        <#if view.hasPSControl('tabexppanel')>
        ${P.getCtrlCode('tabexppanel', 'CONTROL.html').code}
        </#if>
    </div>
<#--  BEGIN：视图底部视图消息  -->
<@ibizindent blank=8>
<#ibizinclude>
../@MACRO/View_Pos_Bottom_Msgs.vue.ftl
</#ibizinclude>
</@ibizindent>
<#--  END：视图底部视图消息  -->
    </card>
</div>