<div class="view-container ${view.getViewType()?lower_case} ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
    <app-studioaction :viewTitle="$t(model.srfCaption)" viewName="${view.getCodeName()?lower_case}"></app-studioaction>
    <card class='view-card view-no-caption view-no-toolbar' :disHover="true" :padding="0" :bordered="false">
    <div class="content-container">
    <component 
        :is="activeForm.name"
        :viewState="viewState"  
        :viewparams="viewparams" 
        :context="context" 
        :autosave="false" 
        :viewtag="viewtag"
        :showBusyIndicator="activeForm.showBusyIndicator"
        :updateAction="activeForm.updateAction"
        :removeAction="activeForm.removeAction"
        :loaddraftAction="activeForm.loaddraftAction"
        :loadAction="activeForm.loadAction"
        :createAction="activeForm.createAction"
        :WFSubmitAction="activeForm.WFSubmitAction"
        :WFStartAction="activeForm.WFStartAction"
        name="form"  
        ref='form'>
    </component>
    </div>
    <card dis-hover :bordered="false" class='footer'>
        <row style=" text-align: right ">
        <i-button type='primary' @click="onClickOk">{{ $t("app.commonWords.ok") }}</i-button>
            &nbsp;&nbsp;
        <i-button @click="onClickCancel">{{ $t("app.commonWords.cancel") }}</i-button>
        </row>
    </card>
    </card>
</div>