<div class="view-container ${view.getViewType()?lower_case} ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
    <app-studioaction :viewTitle="$t(model.srfCaption)" viewName="${view.getCodeName()?lower_case}"></app-studioaction>
    <card class='view-card view-no-caption <#if !view.hasPSControl('toolbar')> view-no-toolbar</#if>' :dis-hover="true" :padding="0" :bordered="false">
        <#--  BEGIN：视图顶部视图消息  -->
        <@ibizindent blank=8>
        <#ibizinclude>
        ../@MACRO/View_Pos_Top_Msgs.vue.ftl
        </#ibizinclude>
        </@ibizindent>
        <#--  END：视图顶部视图消息  -->
        <div class="content-container pickup-view">
        <#--  BEGIN：视图内容区视图消息  -->
        <@ibizindent blank=8>
        <#ibizinclude>
        ../@MACRO/View_Pos_Body_Msgs.vue.ftl
        </#ibizinclude>
        </@ibizindent>
        <#--  END：视图内容区视图消息  -->
            <div class="translate-contant">
                <div class="center" :style="{width : !isShowButton ? '100%' : ''}">
                <#if view.hasPSControl('pickupviewpanel')>
                    <@ibizindent blank=20>
                        ${P.getCtrlCode('pickupviewpanel', 'CONTROL.html').code}<#t>
                    </@ibizindent>
                </#if>
                </div>
                <div v-if="isShowButton" class="translate-buttons">
                    <div class="buttons">
                        <i-button type="primary" :title="this.containerModel.view_rightbtn.text"
                            :disabled="this.containerModel.view_rightbtn.disabled"
                            @click="onCLickRight">
                            <i class="el-icon-arrow-right"></i>
                        </i-button>
                        <i-button type="primary" :title="this.containerModel.view_leftbtn.text"
                            :disabled="this.containerModel.view_leftbtn.disabled"
                            @click="onCLickLeft">
                            <i class="el-icon-arrow-left"></i>
                        </i-button>
                        <i-button type="primary" :title="this.containerModel.view_allrightbtn.text"
                            @click="onCLickAllRight">
                            <i class="el-icon-d-arrow-right"></i>
                        </i-button>
                        <i-button type="primary" :title="this.containerModel.view_allleftbtn.text"
                            @click="onCLickAllLeft">
                            <i class="el-icon-d-arrow-left"></i>
                        </i-button>
                    </div>
                    </div>
                    <div v-if="isShowButton" class="right">
                        <div class="mpicker-select">
                            <div v-for="(item, index) in viewSelections" :key="index" :class="item._select ? 'select' : ''" @click="selectionsClick(item)" @dblclick="selectionsDBLClick(item)">
                                <span>{{item.srfmajortext}}</span>
                            </div>
                        </div>
                    </div>
                </div>
                <card v-if="isShowButton" :dis-hover="true" :bordered="false" class="footer">
                    <row :style="{ textAlign: 'right' }">
                        <i-button type="primary"  :disabled="this.viewSelections.length > 0 ? false : true" @click="onClickOk">{{this.containerModel.view_okbtn.text}}</i-button>
                            &nbsp;&nbsp;
                        <i-button @click="onClickCancel">{{this.containerModel.view_cancelbtn.text}}</i-button>
                    </row>
                </card>   
        </div>
        <#--  BEGIN：视图底部视图消息  -->
        <@ibizindent blank=8>
        <#ibizinclude>
        ../@MACRO/View_Pos_Bottom_Msgs.vue.ftl
        </#ibizinclude>
        </@ibizindent>
        <#--  END：视图底部视图消息  -->
    </card>
</div>