<#ibizinclude>
../@MACRO/DEFAULT.less.ftl
</#ibizinclude>
.app-login-view {
  display: flex;
  flex-direction: column;
  min-height: 100%;
  background: #108cee;
  position: relative;
  .login-bg {
    width: 100vw;
    height: 100vh;
  }
  .login-container {
    width: 450px;
    height: 430px;
    position: absolute;
    z-index: 1;
    background: #fff;
    top: calc((100% - 430px) / 2);
    left: calc((100% - 450px) / 2);
    border-radius: 10px;
    .login-title {
      text-align: center;
      padding: 30px 0 20px 0;
      font-weight: 600;
      line-height: 30px;
      font-size: 20px;
      color: #666;
    }
    .login-form {
      width: 380px;
      margin: 0 auto;
      .ivu-form-item {
        margin-bottom: 36px;
        .ivu-input-group {
          height: 44px;
          font-size: 30px;
          .ivu-input {
            height: 44px;
            font-size: 18px;
          }
          .ivu-input-icon {
            height: 44px;
            line-height: 44px;
          }
        }
      }
    }
  }
  .app-login-view__buttons .ivu-form-item-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    .ivu-btn {
      width: 175px;
      height: 40px;
      font-size: 18px;
    }
  }
  .app-login-view__icons {
    .icon {
      display: inline-block;
      cursor: pointer;
      margin-left: 10px;
      img {
        display: inline-block;
        width: 40px;
        height: 40px;
        line-height: 40px;
        text-align: center;
        padding-top: 1px;
        border-radius: 4px;
        margin-bottom: -20px;
        margin-top: 10px;
      }
    }
  }
  .app-login-view__footer {
    display: block;
    padding: 0 16px;
    padding: 48px 0 24px;
    text-align: center;
    a {
        color: #fff;
        text-decoration: none;
    }
  }
}