<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<app-rate 
    name='${editor.name}' 
    :value="this.data.${editor.name}" 
    @change="($event)=>{this.data.${editor.name} = $event} " 
    :disabled="detailsModel.${editor.name}.disabled" 
    style="${editor.getEditorCssStyle()}"
<#if item.getEditorParam('max','') != ''>
    :max="${item.getEditorParam('max','')}"
</#if>
<#if item.getPSCodeList?? && item.getPSCodeList()??>
  <#assign codelist=item.getPSCodeList()>
    tag='${codelist.codeName}' <#t>
    codelistType='${codelist.getCodeListType()}' <#t>
  <#if codelist.getValueSeparator?? && codelist.getValueSeparator()?? && codelist.getValueSeparator() != ''>
    valueSeparator='${codelist.getValueSeparator()}' <#t>
  </#if>
</#if> 
    >
</app-rate>
</#if>