<#ibizinclude>
../@MACRO/CSS/DEFAULT.less.ftl
</#ibizinclude>

.app-list {
    height:100%;
    flex-grow: 1;
    overflow-y: auto;
    .el-collapse-item__header.is-active{
        color: #409eff;
        background-color: #ecf5ff;
    }
    .el-collapse{
        .el-collapse-item{
            .el-collapse-item__wrap{
                .el-collapse-item__content{
                    padding: 10px 0 10px 0;
                }
            }
        }
    }
    .app-list-item {
        line-height: 34px;
        padding: 12px 6px;
        min-height: 24px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        border-bottom: 1px solid #f0f0f0;
        .app-list-item-content {
            width: 70%;
            display: flex;
            align-items: center;
            .item-icon {
                width: 40px;
                height: 40px;
                margin-right: 14px;
                img {
                    width: 40px;
                    height: 40px;
                    border-radius: 50%;
                }
            }
            .item-content-text {
                display: flex;
                flex-direction: column;
                width: 80%;
                .item-title {
                    font-size: 18px;
                    font-weight: bold;
                }
                .item-description{
                    height: 34px;
                    overflow: hidden;
                    white-space: nowrap;
                    text-overflow: ellipsis;
                }
                .item-subtext {
                    color: #8c8c8c;
                }
            }
        }
        .app-list-item-date {
            position: relative;
            color: #8c8c8c;
        }
    }
    .app-list-item.isSelect {
        background: #ecf5ff;
        border-radius: 2px;
        border-color: rgb(197, 197, 197);
    }
    .app-list-item:hover {
        background: #ecf5ff;
    }
    .loadmore {
        text-align: center;
        padding: 10px;
        text-decoration: underline;
        color: #82bff7;
        cursor: default;
    }
}
.app-list-empty {
    height:100%;
    color: #909399;
    display: flex;
    justify-content: center;
    align-items: center;
    <#if ctrl.getQuickPSDEToolbar?? && ctrl.getQuickPSDEToolbar()??>
    .quick-toolbar{
        display: inline-block;
        button{
          background: #ebf3fb;
          color: #2575ca;
          border: 0;
      }
    }
    </#if>
}
<#if ctrl.getBatchPSDEToolbar?? && ctrl.getBatchPSDEToolbar()??>
.list-pagination {
    position: fixed;
    background-color: #fff;
    height: 50px;
    bottom: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    z-index: 5;
}
</#if>