.app-list-exp-bar {
    height: 100%;
    display: flex;
    flex-direction: column;
    .list-exp-bar-header {
        line-height: 50px;
        border-bottom: 1px solid #ddd;
        .list-exp-bar-title {
            font-size: 18px;
            padding-left: 8px;
            i {
                font-size: 20px;
                margin-top: -2px;
            }
        } 
    }
    .exp-bar-action-container {
        display: flex;
        justify-content: flex-start;
        align-items: center;
        flex-wrap: wrap;
        .search-container {
            width: 30%;
            height: 48px;
            padding: 10px 10px 10px 0;
            min-width: 200px;
            max-width: 400px;
        }
        .toolbar-container{
            padding: 4px;
        }
        .quick-group-container {
            padding-top: 8px;
            padding-right: 20px;
        }
    }
    .list-exp-bar-content {
        flex-grow: 1;
        overflow: auto;
    }
}

<#ibizinclude>
../@MACRO/CSS/DEFAULT.less.ftl
</#ibizinclude>