<#ibizinclude>../@MACRO/FUNC/MACRO.ftl</#ibizinclude>
<#ibizinclude>
../@MACRO/CONTROL/LANGBASE.vue.ftl
</#ibizinclude>
<#if ctrl.getName() != 'toolbar'>
  <#assign ModelsName>${ctrl.getCodeName()?lower_case}Models</#assign>
<#else>
  <#assign ModelsName = 'toolBarModels' />
</#if>
<#if item.render??>
${item.render.code}
<#else> 
<dropdown v-show="${ModelsName}.${item.name}.visabled" trigger='click'>
    <#if item.getTooltip()?? && item.getTooltip() != ''>
    <tooltip :transfer="true" :max-width="600">
        <@badge item>
            <i-button class='<#if item.getPSSysCss()??> ${item.getPSSysCss().getCssName()}</#if>'>
                <#if item.isShowIcon()><i class='<#if item.getPSSysImage()??><#assign img=item.getPSSysImage()><#if img.getCssClass()?? && (img.getCssClass()?length gt 0)>${img.getCssClass()}</#if></#if>'></i></#if>
                <#if item.isShowCaption()><span class='caption'>{{<#if langbase??>$t('${langbase}.${item.name}.caption')<#else>'${item.getCaption()}'</#if>}}</span></#if>
                <icon type="ios-arrow-down"></icon>
            </i-button>
        </@badge>
        <div slot='content'><#if langbase??>{{<#if langbase??>$t('${langbase}.${item.name}.tip')<#else>'${item.getTooltip()}'</#if>}}</#if></div>
    </tooltip>
    <#else>
        <@badge item>
            <i-button class='<#if item.getPSSysCss()??> ${item.getPSSysCss().getCssName()}</#if>'>
                <#if item.isShowIcon()><i class='<#if item.getPSSysImage()??><#assign img=item.getPSSysImage()><#if img.getCssClass()?? && (img.getCssClass()?length gt 0)>${img.getCssClass()}</#if></#if>'></i></#if>
                <#if item.isShowCaption()><span class='caption'>{{<#if langbase??>$t('${langbase}.${item.name}.caption')<#else>'${item.getCaption()}'</#if>}}</span></#if>
                <icon type="ios-arrow-down"></icon>
            </i-button>
        </@badge>
    </#if>
    <#if item.getPSDEToolbarItems()??>
    <dropdown-menu slot='list'>
    <#list item.getPSDEToolbarItems() as toolbarItem>
        <dropdown-item>
            ${P.getPartCode(toolbarItem).code}
        </dropdown-item>
    </#list>
    </dropdown-menu>
    </#if>
</dropdown>
</#if>