<#ibizinclude>
../@MACRO/CONTROL/LANGBASE.vue.ftl
</#ibizinclude>
<i-form :model="this.data" class='app-form<#if ctrl.getPSSysCss()??> ${ctrl.getPSSysCss().getCssName()}</#if><#if ctrl.isInfoFormMode?? && ctrl.isInfoFormMode()> info-form-mode</#if>' ref='${ctrl.name}'  id='${ctrl.getPSAppDataEntity().getCodeName()?lower_case}_${ctrl.getCodeName()?lower_case}' style="<#if ctrl.getFormWidth() gt 1>width: ${ctrl.getFormWidth()?c}px;</#if>" @on-validate="formItemValidate">
    <input style="display:none;" />
    <row >
    <#if ctrl.isNoTabHeader()>
    <#list ctrl.getPSDEFormPages() as formmenber>
        ${P.getPartCode(formmenber).code}
    </#list>
    <#else>
    <tabs :animated="false" name='${ctrl.getCodeName()?lower_case}' :value="detailsModel.${ctrl.name}.activiedPage" 
        @on-click="detailsModel.${ctrl.name}.clickPage($event)">
        <#list ctrl.getPSDEFormPages() as formpage>
            <tab-pane v-show="detailsModel.${formpage.name}.visible" name='${formpage.name}' :index="${formpage_index}" tab='${ctrl.getCodeName()?lower_case}' class='<#if formpage.getPSSysCss?? && formpage.getPSSysCss()??>${formpage.getPSSysCss().getCssName()}</#if>'  
                :label="(h) =>{
                    return h('span',{
                        class:'caption<#if formpage.getLabelPSSysCss?? && formpage.getLabelPSSysCss()??> ${formpage.getLabelPSSysCss().getCssName()}</#if>'
                    },[
                    <#if formpage.getPSSysImage()??>
                    <#assign sysimage = formpage.getPSSysImage()/>
                    <#if sysimage.getImagePath() ==  "">
                        h('i',{
                            class:'${sysimage.getCssClass()}',
                            style:{
                                'margin-right' : '2px'
                            }
                        }),
                    <#else>
                        h('img',{
                            src:'${sysimage.getImagePath()}',
                            style:{
                                'margin-right' : '2px'
                            }
                        }),
                    </#if>
                    </#if>
                    <#if langbase??>$t('${langbase}.details.${formpage.name}')<#else>'${formpage.getCaption()}'</#if>
                    ])
                }">
                ${P.getPartCode(formpage).code}
            </tab-pane> 
        </#list>
    </tabs>
    </#if>
    </row>
</i-form>