<#ibizinclude>../../@MACRO/FUNC/MACRO.ftl</#ibizinclude>
<#assign MDContent><#t>
<#if view.getPSSysCounterRef?? && view.getPSSysCounterRef()?? && view.getPSSysCounterRef().getPSAppCounter()??>
<#assign appCounter = view.getPSSysCounterRef().getPSAppCounter() />
</#if>
  <#if view.getViewType() == "DEGRIDVIEW9">
    <#if view.hasPSControl('searchbar')>
${P.getCtrlCode('searchbar', 'CONTROL.html').code}
    </#if>
    <#if view.hasPSControl('searchform')>
${P.getCtrlCode('searchform', 'CONTROL.html').code}
    </#if>
    <#--  BEGIN：视图内容区视图消息  -->
        <@ibizindent blank=8>
        <#ibizinclude>
        ./View_Pos_Body_Msgs.vue.ftl
        </#ibizinclude>
        </@ibizindent>
    <#--  END：视图内容区视图消息  -->
    <#if view.hasPSControl('grid')>
${P.getCtrlCode('grid', 'CONTROL.html').code}
    </#if>
  </#if>
  <#--  BEGIN：快速搜索框或工具栏或支持快速分组搜索或快速搜索表单部件存在  -->
  <#if (view.isEnableQuickSearch() || view.hasPSControl('toolbar') || view.isEnableQuickGroup() || view.getQuickPSDESearchForm()??)>
<div style='margin-bottom: 6px;'>
    <#if view.isEnableQuickGroup()>
    <div class="quick-group-container">
        <app-quick-group :items="quickGroupModel" <#if appCounter??>:counterService="${appCounter.getCodeName()?lower_case}counterservice"</#if> @valuechange="quickGroupValueChange"></app-quick-group>
    </div>
    </#if>
    <#if view.getQuickPSDESearchForm()??>
    <div class="quick-search-container">
    <#assign quickSearchForm = view.getQuickPSDESearchForm() />
    ${P.getCtrlCode(quickSearchForm, 'CONTROL.html').code}
    </div>
    </#if>
    <#if view.isEnableQuickSearch()>
    <i-input<#if view.hasPSControl('searchform')><#if view.isExpandSearchForm??> v-show="!isExpandSearchForm"</#if></#if> v-model="query" search enter-button @on-search="onSearch($event)" class='quick-search-input' style='max-width: 400px;padding-left: 24px' placeholder="<@getQuickSearchPlaceholder view />" />
    </#if>
    <div class='pull-right'>
    <#if view.hasPSControl('toolbar')>
        <@ibizindent blank=8>
        ${P.getCtrlCode('toolbar', 'CONTROL.html').code}<#t>
        </@ibizindent>
    </#if>
    </div>
</div>
  </#if>
  <#--  END：快速搜索或工具栏存在  -->
  <#if view.getViewType() != "DEGRIDVIEW9">
    <#if view.hasPSControl('searchbar')>
${P.getCtrlCode('searchbar', 'CONTROL.html').code}
    </#if>
    <#if view.hasPSControl('searchform')>
${P.getCtrlCode('searchform', 'CONTROL.html').code}
    </#if>
    <#--  BEGIN：视图内容区视图消息  -->
        <@ibizindent blank=8>
        <#ibizinclude>
        ./View_Pos_Body_Msgs.vue.ftl
        </#ibizinclude>
        </@ibizindent>
    <#--  END：视图内容区视图消息  -->
    <#if view.hasPSControl('grid')>
${P.getCtrlCode('grid', 'CONTROL.html').code}
    </#if>
  </#if>
</#assign>
<div class='view-container ${view.getViewType()?lower_case} ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>'>
    <app-studioaction :viewTitle="$t(model.srfCaption)" viewName="${view.getCodeName()?lower_case}"></app-studioaction>
    <card class='view-card <#if !view.isShowCaptionBar()> view-no-caption</#if>'  :dis-hover="true" :bordered="false">
        <@ibizindent blank=8>
          <#ibizinclude>
          ./VIEW_CAPTION.vue.ftl
          </#ibizinclude>
        </@ibizindent>
        <#--  BEGIN：视图顶部视图消息  -->
        <@ibizindent blank=12>
          <#ibizinclude>
          ./View_Pos_Top_Msgs.vue.ftl
          </#ibizinclude>
        </@ibizindent>
        <#--  END：视图顶部视图消息  -->
        <div class='content-container'>
            <#--  BEGIN：视图内容  -->
            <@ibizindent blank=12>
              <#ibizinclude>
              ./VIEW_MD_CONTENT.vue.ftl
              </#ibizinclude>
            </@ibizindent>
            <#--  END：视图内容  -->
        </div>
            <#--  BEGIN：视图底部视图消息  -->
            <@ibizindent blank=12>
              <#ibizinclude>
              ./View_Pos_Bottom_Msgs.vue.ftl
              </#ibizinclude>
            </@ibizindent>
            <#--  END：视图底部视图消息  -->
    </card>
</div>