<#ibizinclude>../../@MACRO/FUNC/MACRO.ftl</#ibizinclude>
<div class='view-container ${view.getViewType()?lower_case} ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>'>
    <app-studioaction :viewTitle="$t(model.srfCaption)" viewName="${view.getCodeName()?lower_case}"></app-studioaction>
    <card class='view-card <#if !view.isShowCaptionBar()> view-no-caption</#if> <#if !view.hasPSControl('toolbar')> view-no-toolbar</#if>'  :dis-hover="true" :bordered="false">
    <@ibizindent blank=8>
    <#ibizinclude>
    ../@MACRO/VIEW_CAPTION.vue.ftl
    </#ibizinclude>
    </@ibizindent>
<#--  BEGIN：视图顶部视图消息  -->
<@ibizindent blank=8>
<#ibizinclude>
../@MACRO/View_Pos_Top_Msgs.vue.ftl
</#ibizinclude>
</@ibizindent>
<#--  END：视图顶部视图消息  -->
        <div class='content-container'>
<#assign MDContent>
  <#--  BEGIN：快速搜索框或工具栏或支持快速分组搜索或快速搜索表单部件存在  -->
  <#if (view.isEnableQuickSearch() || view.hasPSControl('toolbar') || view.isEnableQuickGroup() || view.getQuickPSDESearchForm()??)>
  <div style="margin-bottom:6px;">
      <#if view.isEnableQuickGroup()>
      <div class="quick-group-container">
          <app-quick-group :items="quickGroupModel" <#if appCounter??>:counterService="${srfclassname('${appCounter.getCodeName()}')}counterservice"</#if> @valuechange="quickGroupValueChange"></app-quick-group>
      </div>
      </#if>
      <#if view.getQuickPSDESearchForm()??>
      <div class="quick-search-container">
        <#assign quickSearchForm = view.getQuickPSDESearchForm() />
      ${P.getCtrlCode(quickSearchForm, 'CONTROL.html').code}
      </div>
      </#if>
      <#if view.isEnableQuickSearch()>
      <i-input <#if view.hasPSControl('searchform')><#if view.isExpandSearchForm??> v-show='!this.isExpandSearchForm '</#if></#if> v-model='query' search @on-search='onSearch' placeholder="<@getQuickSearchPlaceholder view />" class='pull-left' style='max-width: 400px;margin-top:6px;' />
      </#if>
      <div class='pull-right'>
      <#if view.hasPSControl('toolbar')>
      <@ibizindent blank=20>
      ${P.getCtrlCode('toolbar', 'CONTROL.html').code}<#t>
      </@ibizindent>
      </#if>
      </div>
  </div>
  </#if>
  <#--  END：快速搜索框或工具栏或支持快速分组搜索或快速搜索表单部件存在  -->
  <#if view.hasPSControl('searchform')>
  <@ibizindent blank=12>
  ${P.getCtrlCode('searchform', 'CONTROL.html').code}<#t>
  </@ibizindent>
  </#if>
<#--  BEGIN：视图内容区视图消息  -->
<@ibizindent blank=8>
<#ibizinclude>
../@MACRO/View_Pos_Body_Msgs.vue.ftl
</#ibizinclude>
</@ibizindent>
<#--  END：视图内容区视图消息  -->
  <#if view.hasPSControl('kanban')>
  <@ibizindent blank=12>
  ${P.getCtrlCode('kanban', 'CONTROL.html').code}<#t>
  </@ibizindent>
  </#if>
</#assign>
            <#ibizinclude>
            ../@MACRO/VIEW_MD_CONTENT.vue.ftl
            </#ibizinclude>
        </div>
<#--  BEGIN：视图底部视图消息  -->
<@ibizindent blank=8>
<#ibizinclude>
../@MACRO/View_Pos_Bottom_Msgs.vue.ftl
</#ibizinclude>
</@ibizindent>
<#--  END：视图底部视图消息  -->
    </card>
</div>