<div class="view-container ${view.getViewType()?lower_case} ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
    <app-studioaction :viewTitle="$t(model.srfCaption)" viewName="${view.getCodeName()?lower_case}"></app-studioaction>
    <card class='view-card<#if !view.isShowCaptionBar()> view-no-caption</#if> <#if !view.hasPSControl('toolbar')> view-no-toolbar</#if>' :dis-hover="true" :bordered="false">
<#--  BEGIN：视图顶部视图消息  -->
<@ibizindent blank=8>
<#ibizinclude>
../@MACRO/View_Pos_Top_Msgs.vue.ftl
</#ibizinclude>
</@ibizindent>
<#--  END：视图顶部视图消息  -->
<#if view.hasPSControl('toolbar')>
  <#assign selfToolbarRender>
  <template v-if="!(drItem && drItem.id && drItem.id !== 'form')">
      ${P.getCtrlCode('toolbar', 'CONTROL.html').code}
  </template>
  </#assign>
</#if>
    <#ibizinclude>
    ../@MACRO/VIEW_CAPTION_DATAINFO.vue.ftl
    </#ibizinclude>
        <#--  BEGIN：视图内容区视图消息  -->
        <@ibizindent blank=8>
        <#ibizinclude>
        ../@MACRO/View_Pos_Body_Msgs.vue.ftl
        </#ibizinclude>
        </@ibizindent>
        <#--  END：视图内容区视图消息  -->
        <div class="content-container">
            <layout class="edit-view2">
                <sider class="edit-view2-drbar" :width="<#if view.hasPSControl('drbar') && view.getPSControl('drbar').getWidth?? && view.getPSControl('drbar').getWidth()?? && view.getPSControl('drbar').getWidth() gt 240>${view.getPSControl('drbar').getWidth()?c}<#else>240</#if>">
                    <#if view.hasPSControl('drbar') && view.hasPSControl('form')>
                    <div :class="{'edit-view2-drbar__caption': true, 'is-active': !(drItem && drItem.id && drItem.id !== 'form')}" @click="drBarChange">
                        <span><#if view.getPSControl('drbar').getEditItemCaption?? && view.getPSControl('drbar').getEditItemCaption()??>${view.getPSControl('drbar').getEditItemCaption()}</#if></span>
                    </div>
                        <#if view.hasPSControl('drbar')>
                        <@ibizindent blank=8>
                            ${P.getCtrlCode('drbar', 'CONTROL.html').code}
                        </@ibizindent>
                        </#if>
                    </#if>
                </sider>
                <content class="edit-view2-content" :style="{ width: 'calc(100% - <#if view.hasPSControl('drbar') && view.getPSControl('drbar').getWidth?? && view.getPSControl('drbar').getWidth()?? && view.getPSControl('drbar').getWidth() gt 240>${view.getPSControl('drbar').getWidth()?c}<#else>241</#if>px)' }">
                    <div class="edit-view2-content__form" :style="drItem && drItem.id && drItem.id !== 'form' ? 'display: none' : ''">
                        <#if view.hasPSControl('form')>
                        <@ibizindent blank=8>
                            ${P.getCtrlCode('form', 'CONTROL.html').code}
                        </@ibizindent>
                        </#if>
                    </div>
                    <component
                        class="view-container2"
                        v-if="drItem && drItem.id && drItem.id !== 'form'"
                        :is="drItem.navView"
                        :viewDefaultUsage="false"
                        :viewdata="JSON.stringify(drItem.srfnavdata.context)"
                        :viewparam="JSON.stringify(drItem.srfnavdata.viewparams)">
                    </component>
                </content>
            </layout>
        </div>
<#--  BEGIN：视图底部视图消息  -->
<@ibizindent blank=8>
<#ibizinclude>
../@MACRO/View_Pos_Bottom_Msgs.vue.ftl
</#ibizinclude>
</@ibizindent>
<#--  END：视图底部视图消息  -->
    </card>
</div>