<div class="app-login-view ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
    <app-studioaction
      :viewTitle="$t(model.srfCaption)"
      viewName="apploginview"
    ></app-studioaction>
    <img class="login-bg" src="/assets/img/background.png" />
    <div class="login-container">
      <div class="login-title">{{appTitle}}</div>
      <i-form ref='loginForm' class="login-form" :rules="rules" :model="formData">
        <form-item prop="loginname">
          <i-input
            size="large"
            prefix="ios-contact"
            v-model.trim="formData.loginname"
            :placeholder="$t('components.login.placeholder1')"
            @keyup.enter.native="handleSubmit"
          >
          </i-input>
        </form-item>
        <form-item prop="password">
          <i-input
            size="large"
            prefix="ios-key"
            v-model.trim="formData.password"
            type="password"
            :placeholder="$t('components.login.placeholder2')"
            @keyup.enter.native="handleSubmit"
          >
          </i-input>
        </form-item>
        <form-item class="app-login-view__buttons">
          <i-button @click="handleSubmit" type="primary" class="login_btn"
            >{{ $t("components.login.name") }}
          </i-button>
          <i-button @click="goReset" type="success" class="login_reset"
            >{{ $t("components.login.reset") }}
          </i-button>
        </form-item>

        <form-item class="app-login-view__icons">
          <div style="text-align: center">
            <span class="form_tipinfo">{{ $t("components.login.other") }}</span>
          </div>
          <div style="text-align: center">
            <div class="icon" @click="tencentHandleClick('tencent')">
              <img src="/assets/img/QQ.svg" draggable="false" />
            </div>
            <div class="icon" @click="wechatHandleClick('wechat')">
              <img src="/assets/img/weixin.svg" draggable="false" />
            </div>
          </div>
        </form-item>
      </i-form>
      <p class="login-tip">
        {{ this.loginTip }}
      </p>
      <div class="app-login-view__footer">
        <div class="copyright">
          <a href="https://www.ibizlab.cn/" target="_blank"
            >{{ appTitle }} is based on ibizlab .</a
          >
        </div>
      </div>
    </div>
</div>
