<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<app-rate 
    name='${item.name}' 
    :value="row[column.property]" 
    @change="($event)=>{row[column.property] = $event; gridEditItemChange(row, column.property, $event, $index)} " 
    :disabled="getColumnDisabled(row,column.property)" 
<#if item.getPSCodeList?? && item.getPSCodeList()??>
  <#assign codelist=item.getPSCodeList()>
    tag='${codelist.codeName}' <#t>
    codelistType='${codelist.getCodeListType()}' <#t>
  <#if codelist.getValueSeparator?? && codelist.getValueSeparator()?? && codelist.getValueSeparator() != ''>
    valueSeparator='${codelist.getValueSeparator()}' <#t>
  </#if>
</#if>
    style="${item.getEditorCssStyle()}"></app-rate>
</#if>