<#assign self_viewparam>
this.$forceUpdate();
</#assign>
<#assign created_block>
        if(this.formDruipart){
            this.formDruipart.subscribe((res:any) =>{
                if(Object.is(res.action,'load')){
                    const _this: any = this;
                    _this.engine.load(res.data,true);
                }
            });
        }
</#assign>
<#assign self_content>

    /**
     * 加载数据
     * 
     * @memberof ${srfclassname('${view.name}')}Base
     */
    public loadModel(){
    <#assign appDataEntity = view.getPSAppDataEntity() />
        if(this.context.${appDataEntity.getCodeName()?lower_case}){
            this.appEntityService.getDataInfo(JSON.parse(JSON.stringify(this.context)),{},false).then((response:any) =>{
                if (!response || response.status !== 200) {
                    return;
                }
                const { data: _data } = response;
                this.viewState.next({ tag: 'all-portlet', action: 'loadmodel', data:_data});
                if (_data.${appDataEntity.getMajorPSAppDEField().getCodeName()?lower_case}) {
                    Object.assign(this.model, { dataInfo: _data.${appDataEntity.getMajorPSAppDEField().getCodeName()?lower_case} });
                    if(this.$tabPageExp){
                        let _this:any = this;
                        this.$tabPageExp.setCurPageCaption(_this.$t(this.model.srfCaption), this.model.srfCaption, _this.model.dataInfo);
                    }
                    if(this.$route && this.$route.meta){
                        this.$route.meta.info = this.model.dataInfo;
                    }
                    <#noparse>Object.assign(this.model, { srfCaption: `${this.$t(this.model.srfCaption)} - ${this.$t(this.model.dataInfo)}` });</#noparse>
                }
            })
        }
    }
</#assign>
<#ibizinclude>
../@MACRO/LAYOUTPANEL_VIEW.template.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_HEADER-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_CONTENT-BASE.vue.ftl
</#ibizinclude>

    /**
    * 是否嵌入关系界面
    *
    * @type {boolean}
    * @memberof ${srfclassname('${view.name}')}Base
    */
    @Prop({default:false}) public isformDruipart?: boolean;

    /**
    * 界面关系通讯对象
    *
    * @type {Subject<ViewState>}
    * @memberof ${srfclassname('${view.name}')}Base
    */
    @Prop() public formDruipart!: Subject<ViewState>;



<#ibizinclude>
../@MACRO/VIEW_BOTTOM-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW-BASE.style.ftl
</#ibizinclude>